<mat-form-field>
  <mat-select [(ngModel)]="selectedSortBy" (ngModelChange)="updateSortBy()">
    <mat-option></mat-option>
    @for (option of sortByOptions; track option) {
      <mat-option [value]="option.value">{{ option.name }}</mat-option>
    }
  </mat-select>
</mat-form-field>
